Changelog
v2.3.0 - Released June 12, 2026
- Added
GET /email-templatesto list email templates available to your account. - GET /accounts now includes
webhook_endpointandwebhooks_enabled. - GET /users now includes inviter defaults (
default_team,default_assessments,default_invitation_email_template,default_congrats_email_template). - GET /score-profiles now returns only system score profiles enabled for your account (not the full global catalog).
- GET /test-takers accepts optional
custom_idandemailquery parameters to filter results (up to 150 matches per request). - GET /invitations accepts optional
custom_idandemailquery parameters to filter results (up to 150 matches per request).
v2.2.0 - Released November 11, 2025
Added a Job Fit Report route available at /test-takers/:testTakerId/job-fit-report. This route includes all of the information from the PDF version of the Job Fit Report.
v2.1.0 - Released December 19, 2024
Added the fields custom_id and person_id to several API route responses: List Invitations, List Test Takers, List Career Navigation Profiles, Get Test Taker Scorecard. These fields already existed in the routes to Get Invitation or Get Test Taker, but they were not included in the List items routes.
The custom_id field is useful for grouping together Invitations by things like Job Requisition # or Career Coaching Participant Group #. The person_id field is a field for you to include the ID for this participant from your system. Then you can use the person_id field to match the participant with their record in your system.
v2.0.0 - Released December 12, 2024
The new version of the JOFI API. 14 new API routes. A more logical flow from Invitation to Test Taker to Career Navigation. More standardized API responses and object shapes. Better error handling and validation error messages. And a number of other internal improvements!